@interface MYApplicationDelegate : NSObject {
	IBOutlet NSMenu* statusBarMenu;
	NSStatusItem* statusBarItem;
	BOOL displayDockIcon;
	NSMutableDictionary* applicationContext;
}
- (IBAction) togglePreviewPanel:(id) sender;
- (IBAction) toggleDockIcon:(id) sender;
- (IBAction) sendBugReport:(id) sender;
- (IBAction) goToHomePage:(id) sender;
- (IBAction) checkUIScripting:(id) sender;

- (NSMutableDictionary*) applicationContext;
- (BOOL) displayDockIcon;
- (NSString*) requestedSearchString;
- (void) registerDefaults;
- (void) __makeStatusBarMenu;
- (BOOL) application:(NSApplication*)theApplication openLocation:(NSURL*)url;
- (void) applicationDidFinishLaunching:(NSNotification *)aNotification;
- (BOOL) openMostRecentDocument;
- (BOOL) doOpenMostRecentDocument:(NSURL*)url;
@end

